Bug 312981 - recursive update doesn't happen after deleting a formula
Summary: recursive update doesn't happen after deleting a formula
Status: RESOLVED FIXED
Alias: None
Product: calligrasheets
Classification: Unclassified
Component: general (show other bugs)
Version: Git
Platform: Other Linux
: NOR major (vote)
Target Milestone: ---
Assignee: Calligra Sheets (KSpread) Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-09 23:48 UTC by Camilla Boemann
Modified: 2013-01-14 03:30 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
file needed to see the problem easily (4.22 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-01-09 23:50 UTC, Camilla Boemann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Camilla Boemann 2013-01-09 23:48:40 UTC
The update of cells is broken, when replacing a formula with hardcoded value. It updates correctly if replacing the formula with another formula

Reproducible: Always

Steps to Reproduce:
1. load attached file
2. replace the formula showing the result "2000" with a hardcoded number
3. see how the lines below are not update


And not that pressing recalculate doesn't update them either
loading and saving the document will make it update correctly though
Comment 1 Camilla Boemann 2013-01-09 23:50:16 UTC
Created attachment 76347 [details]
file needed to see the problem easily
Comment 2 Marijn Kruisselbrink 2013-01-10 02:44:49 UTC
Git commit 4cd91f8ae093b37ed5f0e40688c170714cbe6afa by Marijn Kruisselbrink.
Committed on 10/01/2013 at 02:53.
Pushed by mkruisselbrink into branch 'master'.

Fix problem that prevents depths of cells to be calculated properly when cells are edited.

This was especially a problem if they are changed from a formula to something that is not a formula.
Also fixes a problem with DependencyManager::Private::dump(), and fixes KoRTree API docs to match
the implementation (although it would be better to fix the implementation to match the docs).

M  +2    -2    libs/flake/KoRTree.h
M  +10   -31   sheets/DependencyManager.cpp
M  +25   -0    sheets/tests/TestDependencies.cpp
M  +1    -0    sheets/tests/TestDependencies.h

http://commits.kde.org/calligra/4cd91f8ae093b37ed5f0e40688c170714cbe6afa
Comment 3 Camilla Boemann 2013-01-11 08:51:47 UTC
Git commit 8010fd0f10371a9c8e6492f0e7afb4cc2d232e09 by C. Boemann, on behalf of Marijn Kruisselbrink.
Committed on 10/01/2013 at 02:53.
Pushed by boemann into branch 'calligra/2.6'.

Fix problem that prevents depths of cells to be calculated properly when cells are edited.

This was especially a problem if they are changed from a formula to something that is not a formula.
Also fixes a problem with DependencyManager::Private::dump(), and fixes KoRTree API docs to match
the implementation (although it would be better to fix the implementation to match the docs).

M  +2    -2    libs/flake/KoRTree.h
M  +10   -31   sheets/DependencyManager.cpp
M  +25   -0    sheets/tests/TestDependencies.cpp
M  +1    -0    sheets/tests/TestDependencies.h

http://commits.kde.org/calligra/8010fd0f10371a9c8e6492f0e7afb4cc2d232e09
Comment 4 Camilla Boemann 2013-01-13 04:55:45 UTC
Git commit 73eace5500ab90054f88895db320f265b4d2e393 by C. Boemann, on behalf of Marijn Kruisselbrink.
Committed on 10/01/2013 at 02:53.
Pushed by boemann into branch 'calligra/2.4'.

Fix problem that prevents depths of cells to be calculated properly when cells are edited.

This was especially a problem if they are changed from a formula to something that is not a formula.
Also fixes a problem with DependencyManager::Private::dump(), and fixes KoRTree API docs to match
the implementation (although it would be better to fix the implementation to match the docs).

M  +2    -2    libs/flake/KoRTree.h
M  +10   -31   sheets/DependencyManager.cpp
M  +25   -0    sheets/tests/TestDependencies.cpp
M  +1    -0    sheets/tests/TestDependencies.h

http://commits.kde.org/calligra/73eace5500ab90054f88895db320f265b4d2e393
Comment 5 Camilla Boemann 2013-01-13 04:56:24 UTC
Git commit a751ee5929591bee2a018bbf0da8741fb9a675e0 by C. Boemann, on behalf of Marijn Kruisselbrink.
Committed on 10/01/2013 at 02:53.
Pushed by boemann into branch 'calligra/2.5'.

Fix problem that prevents depths of cells to be calculated properly when cells are edited.

This was especially a problem if they are changed from a formula to something that is not a formula.
Also fixes a problem with DependencyManager::Private::dump(), and fixes KoRTree API docs to match
the implementation (although it would be better to fix the implementation to match the docs).

M  +2    -2    libs/flake/KoRTree.h
M  +10   -31   sheets/DependencyManager.cpp
M  +25   -0    sheets/tests/TestDependencies.cpp
M  +1    -0    sheets/tests/TestDependencies.h

http://commits.kde.org/calligra/a751ee5929591bee2a018bbf0da8741fb9a675e0
Comment 6 Inge Wallin 2013-01-14 03:30:58 UTC
Git commit 00be15736db10a48d03abbe37f1c5fd014316477 by Inge Wallin, on behalf of Marijn Kruisselbrink.
Committed on 10/01/2013 at 02:53.
Pushed by ingwa into branch 'text-annotations-ingwa'.

Fix problem that prevents depths of cells to be calculated properly when cells are edited.

This was especially a problem if they are changed from a formula to something that is not a formula.
Also fixes a problem with DependencyManager::Private::dump(), and fixes KoRTree API docs to match
the implementation (although it would be better to fix the implementation to match the docs).

M  +2    -2    libs/flake/KoRTree.h
M  +10   -31   sheets/DependencyManager.cpp
M  +25   -0    sheets/tests/TestDependencies.cpp
M  +1    -0    sheets/tests/TestDependencies.h

http://commits.kde.org/calligra/00be15736db10a48d03abbe37f1c5fd014316477